org.apache.poi.ss.formula.ptg

## Class OperationPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperationPtg

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    AbstractFunctionPtg, IntersectionPtg, RangePtg, UnionPtg, ValueOperatorPtg

      public abstract class OperationPtg
      extends Ptg

  defines a Ptg that is an operation instead of an operand
  Author:
    andy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_BINARY`
    `static int` | `TYPE_FUNCTION`
    `static int` | `TYPE_UNARY`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OperationPtg()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getDefaultOperandClass()`
    `abstract int` | `getNumberOfOperands()` The number of operands expected by the operations
    `abstract java.lang.String` | `toFormulaString(java.lang.String[] operands)` returns a string representation of the operations the length of the input array should equal the number returned by

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `copy, createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, isBaseToken, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_UNARY

          public static final int TYPE_UNARY

      See Also:
        Constant Field Values

    - #### TYPE_BINARY

          public static final int TYPE_BINARY

      See Also:
        Constant Field Values

    - #### TYPE_FUNCTION

          public static final int TYPE_FUNCTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OperationPtg

          protected OperationPtg()

  - ### Method Detail

    - #### toFormulaString

          public abstract java.lang.String toFormulaString(java.lang.String[] operands)

      returns a string representation of the operations the length of the input array should equal the number returned by
      See Also:
        `getNumberOfOperands()`

    - #### getNumberOfOperands

          public abstract int getNumberOfOperands()

      The number of operands expected by the operations

    - #### getDefaultOperandClass

          public byte getDefaultOperandClass()

      Specified by:
        `getDefaultOperandClass` in class `Ptg`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.